View Issue Details

IDProjectCategoryView StatusLast Update
0007501Kali Linux[All Projects] General Bugpublic2021-12-22 18:22
Reportermbzx48 Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version2021.4 
Target VersionFixed in Version 
Summary0007501: alfa awus036nh not working with kali 2021.4 virtualbox
DescriptionHost: Macbook with OSX 10.13.6
Virtualbox Version 6.1.26 r145957 (Qt5.6.3)
Kali 2021.4 Virtualbox Image downloaded from official website + apt-get update && apt-get dist-upgrade
uname -a -> Linux kali 5.14.0-kali4-amd64

!!! wifi alfa awus036nh completely not working.

──(kali㉿kali)-[~]
└─$ sudo su -
[sudo] password for kali:
┌──(root�kali)-[~]
└─# cat debug.script
Script started on 2021-12-22 13:14:37-05:00 [TERM="xterm-256color" TTY="/dev/pts/1" COLUMNS="83" LINES="24"]
┌──(root�kali)-[~]
└─# id
uid=0(root) gid=0(root) groups=0(root),4(adm),20(dialout),120(wireshark),143(kaboxer)
                                                                                   
┌──(root�kali)-[~]
└─# dmesg -c
[ 0.000000] Linux version 5.14.0-kali4-amd64 (devel@kali.org) (gcc-10 (Debian 10.3.0-12) 10.3.0, GNU ld (GNU Binutils for Debian) 2.37) 0000001 SMP Debian 5.14.16-1kali1 (2021-11-05)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-5.14.0-kali4-amd64 root=UUID=17e585e5-0d04-4224-9721-3b4909bf3356 ro quiet splash
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[ 0.000000] x86/fpu: xstate_offset[2]: 576, xstate_sizes[2]: 256
[ 0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[ 0.000000] signal: max sigframe size: 1776
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000007ffeffff] usable
[ 0.000000] BIOS-e820: [mem 0x000000007fff0000-0x000000007fffffff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.5 present.
[ 0.000000] DMI: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
[ 0.000000] Hypervisor detected: KVM
[ 0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[ 0.000000] kvm-clock: cpu 0, msr 23201001, primary cpu clock
[ 0.000004] kvm-clock: using sched offset of 15558140555 cycles
[ 0.000009] clocksource: kvm-clock: mask: 0xffffffffffffffff max_cycles: 0x1cd42e4dffb, max_idle_ns: 881590591483 ns
[ 0.000015] tsc: Detected 2294.770 MHz processor
[ 0.003328] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[ 0.003336] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.003342] last_pfn = 0x7fff0 max_arch_pfn = 0x400000000
[ 0.003360] Disabled
[ 0.003362] x86/PAT: MTRRs disabled, skipping PAT initialization too.
[ 0.003368] CPU MTRRs all blank - virtualized system.
[ 0.003373] x86/PAT: Configuration [0-7]: WB WT UC- UC WB WT UC- UC
[ 0.003528] found SMP MP-table at [mem 0x0009fff0-0x0009ffff]
[ 0.003765] RAMDISK: [mem 0x2e7e7000-0x333eafff]
[ 0.003776] ACPI: Early table checksum verification disabled
[ 0.003783] ACPI: RSDP 0x00000000000E0000 000024 (v02 VBOX )
[ 0.003793] ACPI: XSDT 0x000000007FFF0030 00003C (v01 VBOX VBOXXSDT 00000001 ASL 00000061)
[ 0.003807] ACPI: FACP 0x000000007FFF00F0 0000F4 (v04 VBOX VBOXFACP 00000001 ASL 00000061)
[ 0.003819] ACPI: DSDT 0x000000007FFF0470 002325 (v02 VBOX VBOXBIOS 00000002 INTL 20120111)
[ 0.003828] ACPI: FACS 0x000000007FFF0200 000040
[ 0.003834] ACPI: FACS 0x000000007FFF0200 000040
[ 0.003841] ACPI: APIC 0x000000007FFF0240 00005C (v02 VBOX VBOXAPIC 00000001 ASL 00000061)
[ 0.003848] ACPI: SSDT 0x000000007FFF02A0 0001CC (v01 VBOX VBOXCPUT 00000002 INTL 20120111)
[ 0.003852] ACPI: Reserving FACP table memory at [mem 0x7fff00f0-0x7fff01e3]
[ 0.003855] ACPI: Reserving DSDT table memory at [mem 0x7fff0470-0x7fff2794]
[ 0.003857] ACPI: Reserving FACS table memory at [mem 0x7fff0200-0x7fff023f]
[ 0.003858] ACPI: Reserving FACS table memory at [mem 0x7fff0200-0x7fff023f]
[ 0.003859] ACPI: Reserving APIC table memory at [mem 0x7fff0240-0x7fff029b]
[ 0.003860] ACPI: Reserving SSDT table memory at [mem 0x7fff02a0-0x7fff046b]
[ 0.004432] No NUMA configuration found
[ 0.004436] Faking a node at [mem 0x0000000000000000-0x000000007ffeffff]
[ 0.004449] NODE_DATA(0) allocated [mem 0x7ffc6000-0x7ffeffff]
[ 0.005088] Zone ranges:
[ 0.005091] DMA [mem 0x0000000000001000-0x0000000000ffffff]
[ 0.005094] DMA32 [mem 0x0000000001000000-0x000000007ffeffff]
[ 0.005097] Normal empty
[ 0.005098] Device empty
[ 0.005099] Movable zone start for each node
[ 0.005103] Early memory node ranges
[ 0.005104] node 0: [mem 0x0000000000001000-0x000000000009efff]
[ 0.005106] node 0: [mem 0x0000000000100000-0x000000007ffeffff]
[ 0.005109] Initmem setup node 0 [mem 0x0000000000001000-0x000000007ffeffff]
[ 0.005115] On node 0, zone DMA: 1 pages in unavailable ranges
[ 0.005159] On node 0, zone DMA: 97 pages in unavailable ranges
[ 0.007013] On node 0, zone DMA32: 16 pages in unavailable ranges
[ 0.008619] ACPI: PM-Timer IO Port: 0x4008
[ 0.008749] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
[ 0.008760] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.008765] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
[ 0.008774] ACPI: Using ACPI (MADT) for SMP configuration information
[ 0.008788] smpboot: Allowing 2 CPUs, 0 hotplug CPUs
[ 0.008823] PM: hibernation: Registered nosave memory: [mem 0x00000000-0x00000fff]
[ 0.008826] PM: hibernation: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[ 0.008828] PM: hibernation: Registered nosave memory: [mem 0x000a0000-0x000effff]
[ 0.008829] PM: hibernation: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[ 0.008831] [mem 0x80000000-0xfebfffff] available for PCI devices
[ 0.008833] Booting paravirtualized kernel on KVM
[ 0.008836] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
[ 0.015349] setup_percpu: NR_CPUS:8192 nr_cpumask_bits:2 nr_cpu_ids:2 nr_node_ids:1
[ 0.015628] percpu: Embedded 56 pages/cpu s192512 r8192 d28672 u1048576
[ 0.015642] pcpu-alloc: s192512 r8192 d28672 u1048576 alloc=1*2097152
[ 0.015646] pcpu-alloc: [0] 0 1
[ 0.015773] kvm-guest: PV spinlocks enabled
[ 0.015778] PV qspinlock hash table entries: 256 (order: 0, 4096 bytes, linear)
[ 0.015795] Built 1 zonelists, mobility grouping on. Total pages: 515824
[ 0.015797] Policy zone: DMA32
[ 0.015799] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.14.0-kali4-amd64 root=UUID=17e585e5-0d04-4224-9721-3b4909bf3356 ro quiet splash
[ 0.015867] Unknown command line parameters: splash BOOT_IMAGE=/boot/vmlinuz-5.14.0-kali4-amd64
[ 0.016026] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes, linear)
[ 0.016117] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes, linear)
[ 0.016229] mem auto-init: stack:off, heap alloc:on, heap free:off
[ 0.020498] Memory: 260860K/2096696K available (12295K kernel code, 2644K rwdata, 8032K rodata, 2632K init, 5260K bss, 151916K reserved, 0K cma-reserved)
[ 0.020514] random: get_random_u64 called from __kmem_cache_create+0x2a/0x500 with crng_init=0
[ 0.020727] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=2, Nodes=1
[ 0.020744] Kernel/User page tables isolation: enabled
[ 0.020782] ftrace: allocating 37659 entries in 148 pages
[ 0.039995] ftrace: allocated 148 pages with 3 groups
[ 0.040171] rcu: Hierarchical RCU implementation.
[ 0.040174] rcu: RCU restricting CPUs from NR_CPUS=8192 to nr_cpu_ids=2.
[ 0.040177] Rude variant of Tasks RCU enabled.
[ 0.040179] Tracing variant of Tasks RCU enabled.
[ 0.040180] rcu: RCU calculated value of scheduler-enlistment delay is 25 jiffies.
[ 0.040182] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=2
[ 0.047282] NR_IRQS: 524544, nr_irqs: 440, preallocated irqs: 16
[ 0.064996] Console: colour VGA+ 80x25
[ 0.065022] printk: console [tty0] enabled
[ 0.065066] ACPI: Core revision 20210604
[ 0.065305] APIC: Switch to symmetric I/O mode setup
[ 0.065680] x2apic enabled
[ 0.066062] Switched APIC routing to physical x2apic.
[ 0.068082] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 0.068131] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x2113e8aa64d, max_idle_ns: 440795233861 ns
[ 0.068148] Calibrating delay loop (skipped) preset value.. 4589.54 BogoMIPS (lpj=9179080)
[ 0.068154] pid_max: default: 32768 minimum: 301
[ 0.068204] LSM: Security Framework initializing
[ 0.068218] Yama: disabled by default; enable with sysctl kernel.yama.*
[ 0.068249] AppArmor: AppArmor initialized
[ 0.068251] TOMOYO Linux initialized
[ 0.068335] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes, linear)
[ 0.068345] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes, linear)
[ 0.068892] unchecked MSR access error: WRMSR to 0x3a (tried to write 0x0000000000000001) at rIP: 0xffffffffa806c914 (native_write_msr+0x4/0x20)
[ 0.068902] Call Trace:
[ 0.068906] init_ia32_feat_ctl+0x85/0x310
[ 0.068911] init_intel+0xbe/0x4b0
[ 0.068913] identify_cpu+0x1da/0x510
[ 0.068918] identify_boot_cpu+0xc/0x94
[ 0.068925] check_bugs+0x26/0xaa7
[ 0.068928] ? __get_locked_pte+0x134/0x1b0
[ 0.068934] start_kernel+0x6c0/0x6f4
[ 0.068939] secondary_startup_64_no_verify+0xb0/0xbb
[ 0.068991] Last level iTLB entries: 4KB 512, 2MB 8, 4MB 8
[ 0.068995] Last level dTLB entries: 4KB 512, 2MB 32, 4MB 32, 1GB 0
[ 0.069004] Spectre V1 : Mitigation: usercopy/swapgs barriers and __user pointer sanitization
[ 0.069007] Spectre V2 : Mitigation: Full generic retpoline
[ 0.069008] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[ 0.069010] Speculative Store Bypass: Vulnerable
[ 0.069015] MDS: Mitigation: Clear CPU buffers
[ 0.077272] Freeing SMP alternatives memory: 32K
[ 0.185968] smpboot: CPU0: Intel(R) Core(TM) i5-2415M CPU @ 2.30GHz (family: 0x6, model: 0x2a, stepping: 0x7)
[ 0.187006] Performance Events: unsupported p6 CPU model 42 no PMU driver, software events only.
[ 0.187065] rcu: Hierarchical SRCU implementation.
[ 0.188064] NMI watchdog: Perf NMI watchdog permanently disabled
[ 0.188140] smp: Bringing up secondary CPUs ...
[ 0.188140] x86: Booting SMP configuration:
[ 0.188140] .... node #0, CPUs: 0000001
[ 0.024357] kvm-clock: cpu 1, msr 23201041, secondary cpu clock
[ 0.024357] Call Trace:
[ 0.024357] init_ia32_feat_ctl+0x83/0x310
[ 0.024357] init_intel+0xbe/0x4b0
[ 0.024357] identify_cpu+0x1da/0x510
[ 0.024357] identify_secondary_cpu+0x13/0x80
[ 0.024357] smp_store_cpu_info+0x45/0x50
[ 0.024357] start_secondary+0x4f/0x160
[ 0.024357] secondary_startup_64_no_verify+0xb0/0xbb
[ 0.188363] smp: Brought up 1 node, 2 CPUs
[ 0.188372] smpboot: Max logical packages: 1
[ 0.188374] smpboot: Total of 2 processors activated (9179.08 BogoMIPS)
[ 0.197653] node 0 deferred pages initialised in 8ms
[ 0.200206] devtmpfs: initialized
[ 0.200301] x86/mm: Memory block size: 128MB
[ 0.200781] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
[ 0.200781] futex hash table entries: 512 (order: 3, 32768 bytes, linear)
[ 0.200781] pinctrl core: initialized pinctrl subsystem
[ 0.200818] NET: Registered PF_NETLINK/PF_ROUTE protocol family
[ 0.200940] DMA: preallocated 256 KiB GFP_KERNEL pool for atomic allocations
[ 0.200977] DMA: preallocated 256 KiB GFP_KERNEL|GFP_DMA pool for atomic allocations
[ 0.201019] DMA: preallocated 256 KiB GFP_KERNEL|GFP_DMA32 pool for atomic allocations
[ 0.201041] audit: initializing netlink subsys (disabled)
[ 0.201123] audit: type=2000 audit(1640196787.043:1): state=initialized audit_enabled=0 res=1
[ 0.201123] thermal_sys: Registered thermal governor 'fair_share'
[ 0.201123] thermal_sys: Registered thermal governor 'bang_bang'
[ 0.201123] thermal_sys: Registered thermal governor 'step_wise'
[ 0.201123] thermal_sys: Registered thermal governor 'user_space'
[ 0.201123] thermal_sys: Registered thermal governor 'power_allocator'
[ 0.201123] cpuidle: using governor ladder
[ 0.201123] cpuidle: using governor menu
[ 0.201123] ACPI: bus type PCI registered
[ 0.201123] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[ 0.201123] PCI: Using configuration type 1 for base access
[ 0.204658] Kprobes globally optimized
[ 0.204716] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[ 0.484550] ACPI: Added _OSI(Module Device)
[ 0.484550] ACPI: Added _OSI(Processor Device)
[ 0.484550] ACPI: Added _OSI(3.0 _SCP Extensions)
[ 0.484550] ACPI: Added _OSI(Processor Aggregator Device)
[ 0.484550] ACPI: Added _OSI(Linux-Dell-Video)
[ 0.484550] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[ 0.484550] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
[ 0.490204] ACPI: 2 ACPI AML tables successfully acquired and loaded
[ 0.493305] ACPI: Interpreter enabled
[ 0.493326] ACPI: PM: (supports S0 S5)
[ 0.493329] ACPI: Using IOAPIC for interrupt routing
[ 0.493681] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[ 0.493998] ACPI: Enabled 2 GPEs in block 00 to 07
[ 0.505231] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[ 0.505243] acpi PNP0A03:00: _OSC: OS supports [ASPM ClockPM Segments MSI HPX-Type3]
[ 0.505805] acpi PNP0A03:00: _OSC: not requesting OS control; OS requires [ExtendedConfig ASPM ClockPM MSI]
[ 0.505816] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
[ 0.507190] PCI host bridge to bus 0000:00
[ 0.507195] pci_bus 0000:00: root bus resource [io 0x0000-0x0cf7 window]
[ 0.507198] pci_bus 0000:00: root bus resource [io 0x0d00-0xffff window]
[ 0.507200] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[ 0.507202] pci_bus 0000:00: root bus resource [mem 0x80000000-0xfdffffff window]
[ 0.507204] pci_bus 0000:00: root bus resource [bus 00-ff]
[ 0.507381] pci 0000:00:00.0: [8086:1237] type 00 class 0x060000
[ 0.510206] pci 0000:00:01.0: [8086:7000] type 00 class 0x060100
[ 0.513568] pci 0000:00:01.1: [8086:7111] type 00 class 0x01018a
[ 0.515132] pci 0000:00:01.1: reg 0x20: [io 0xd000-0xd00f]
[ 0.515700] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io 0x01f0-0x01f7]
[ 0.515703] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io 0x03f6]
[ 0.515705] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io 0x0170-0x0177]
[ 0.515707] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io 0x0376]
[ 0.516683] pci 0000:00:02.0: [15ad:0405] type 00 class 0x030000
[ 0.520252] pci 0000:00:02.0: reg 0x10: [io 0xd010-0xd01f]
[ 0.524202] pci 0000:00:02.0: reg 0x14: [mem 0xe0000000-0xe7ffffff pref]
[ 0.530806] pci 0000:00:02.0: reg 0x18: [mem 0xf0000000-0xf01fffff]
[ 0.553522] pci 0000:00:03.0: [8086:100e] type 00 class 0x020000
[ 0.556388] pci 0000:00:03.0: reg 0x10: [mem 0xf0200000-0xf021ffff]
[ 0.560256] pci 0000:00:03.0: reg 0x18: [io 0xd020-0xd027]
[ 0.570724] pci 0000:00:04.0: [80ee:cafe] type 00 class 0x088000
[ 0.572420] pci 0000:00:04.0: reg 0x10: [io 0xd040-0xd05f]
[ 0.574449] pci 0000:00:04.0: reg 0x14: [mem 0xf0400000-0xf07fffff]
[ 0.576555] pci 0000:00:04.0: reg 0x18: [mem 0xf0800000-0xf0803fff pref]
[ 0.588975] pci 0000:00:05.0: [8086:2415] type 00 class 0x040100
[ 0.589442] pci 0000:00:05.0: reg 0x10: [io 0xd100-0xd1ff]
[ 0.589743] pci 0000:00:05.0: reg 0x14: [io 0xd200-0xd23f]
[ 0.592114] pci 0000:00:06.0: [106b:003f] type 00 class 0x0c0310
[ 0.594504] pci 0000:00:06.0: reg 0x10: [mem 0xf0804000-0xf0804fff]
[ 0.609394] pci 0000:00:07.0: [8086:7113] type 00 class 0x068000
[ 0.612991] pci 0000:00:07.0: quirk: [io 0x4000-0x403f] claimed by PIIX4 ACPI
[ 0.613026] pci 0000:00:07.0: quirk: [io 0x4100-0x410f] claimed by PIIX4 SMB
[ 0.614546] pci 0000:00:0d.0: [8086:2829] type 00 class 0x010601
[ 0.616418] pci 0000:00:0d.0: reg 0x10: [io 0xd240-0xd247]
[ 0.618957] pci 0000:00:0d.0: reg 0x14: [io 0xd248-0xd24b]
[ 0.620455] pci 0000:00:0d.0: reg 0x18: [io 0xd250-0xd257]
[ 0.623411] pci 0000:00:0d.0: reg 0x1c: [io 0xd258-0xd25b]
[ 0.624438] pci 0000:00:0d.0: reg 0x20: [io 0xd260-0xd26f]
[ 0.626512] pci 0000:00:0d.0: reg 0x24: [mem 0xf0806000-0xf0807fff]
[ 0.635828] ACPI: PCI: Interrupt link LNKA configured for IRQ 11
[ 0.636296] ACPI: PCI: Interrupt link LNKB configured for IRQ 10
[ 0.636544] ACPI: PCI: Interrupt link LNKC configured for IRQ 9
[ 0.636756] ACPI: PCI: Interrupt link LNKD configured for IRQ 11
[ 0.637358] iommu: Default domain type: Translated
[ 0.637358] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[ 0.637358] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[ 0.637358] pci 0000:00:02.0: vgaarb: bridge control possible
[ 0.637358] vgaarb: loaded
[ 0.637358] EDAC MC: Ver: 3.0.0
[ 0.637358] NetLabel: Initializing
[ 0.637358] NetLabel: domain hash size = 128
[ 0.637358] NetLabel: protocols = UNLABELED CIPSOv4 CALIPSO
[ 0.637358] NetLabel: unlabeled traffic allowed by default
[ 0.637358] PCI: Using ACPI for IRQ routing
[ 0.637358] PCI: pci_cache_line_size set to 64 bytes
[ 0.640810] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
[ 0.640819] e820: reserve RAM buffer [mem 0x7fff0000-0x7fffffff]
[ 0.642716] clocksource: Switched to clocksource kvm-clock
[ 0.663533] VFS: Disk quotas dquot_6.6.0
[ 0.663554] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[ 0.663702] AppArmor: AppArmor Filesystem Enabled
[ 0.663731] pnp: PnP ACPI init
[ 0.666083] pnp: PnP ACPI: found 2 devices
[ 0.682326] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[ 0.682428] NET: Registered PF_INET protocol family
[ 0.682516] IP idents hash table entries: 32768 (order: 6, 262144 bytes, linear)
[ 0.683699] tcp_listen_portaddr_hash hash table entries: 1024 (order: 2, 16384 bytes, linear)
[ 0.683736] TCP established hash table entries: 16384 (order: 5, 131072 bytes, linear)
[ 0.683809] TCP bind hash table entries: 16384 (order: 6, 262144 bytes, linear)
[ 0.683854] TCP: Hash tables configured (established 16384 bind 16384)
[ 0.683948] MPTCP token hash table entries: 2048 (order: 3, 49152 bytes, linear)
[ 0.683979] UDP hash table entries: 1024 (order: 3, 32768 bytes, linear)
[ 0.684064] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes, linear)
[ 0.684420] NET: Registered PF_UNIX/PF_LOCAL protocol family
[ 0.684435] NET: Registered PF_XDP protocol family
[ 0.684451] pci_bus 0000:00: resource 4 [io 0x0000-0x0cf7 window]
[ 0.684457] pci_bus 0000:00: resource 5 [io 0x0d00-0xffff window]
[ 0.684461] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[ 0.684465] pci_bus 0000:00: resource 7 [mem 0x80000000-0xfdffffff window]
[ 0.684551] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[ 0.684638] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[ 0.684811] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[ 0.687223] PCI: CLS 0 bytes, default 64
[ 0.687324] Trying to unpack rootfs image as initramfs...
[ 0.696530] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x2113e8aa64d, max_idle_ns: 440795233861 ns
[ 0.696608] clocksource: Switched to clocksource tsc
[ 0.696659] platform rtc_cmos: registered platform RTC device (no PNP device found)
[ 0.704698] Initialise system trusted keyrings
[ 0.704885] Key type blacklist registered
[ 0.705093] workingset: timestamp_bits=36 max_order=19 bucket_order=0
[ 0.707462] zbud: loaded
[ 0.707967] integrity: Platform Keyring initialized
[ 0.707973] Key type asymmetric registered
[ 0.707976] Asymmetric key parser 'x509' registered
[ 0.707991] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[ 0.708471] io scheduler mq-deadline registered
[ 0.709113] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 0.710024] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[ 0.718454] Linux agpgart interface v0.103
[ 0.718687] AMD-Vi: AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
[ 0.718690] AMD-Vi: AMD IOMMUv2 functionality not available on this system
[ 0.719829] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[ 0.721147] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 0.721161] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 0.722013] mousedev: PS/2 mouse device common for all mice
[ 0.727361] rtc_cmos rtc_cmos: registered as rtc0
[ 0.732119] rtc_cmos rtc_cmos: setting system clock to 2021-12-22T18:12:50 UTC (1640196770)
[ 0.732415] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[ 0.732553] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[ 0.732908] intel_pstate: CPU model not supported
[ 0.733287] ledtrig-cpu: registered to indicate activity on CPUs
[ 0.733746] NET: Registered PF_INET6 protocol family
[ 2.638135] Freeing initrd memory: 77840K
[ 2.657752] Segment Routing with IPv6
[ 2.657796] mip6: Mobile IPv6
[ 2.657800] NET: Registered PF_PACKET protocol family
[ 2.657983] mpls_gso: MPLS GSO support
[ 2.658298] IPI shorthand broadcast: enabled
[ 2.658314] sched_clock: Marking stable (2637874956, 20357608)->(2656905028, 1327536)
[ 2.658712] registered taskstats version 1
[ 2.658718] Loading compiled-in X.509 certificates
[ 2.714063] Loaded X.509 cert 'Debian Secure Boot CA: 6ccece7e4c6c0d1f6149f3dd27dfcc5cbb419ea1'
[ 2.714090] Loaded X.509 cert 'Debian Secure Boot Signer 2021 - linux: 4b6ef5abca669825178e052c84667ccbc0531f8c'
[ 2.714219] zswap: loaded using pool lzo/zbud
[ 2.714759] Key type ._fscrypt registered
[ 2.714762] Key type .fscrypt registered
[ 2.714764] Key type fscrypt-provisioning registered
[ 2.724817] Key type encrypted registered
[ 2.724825] AppArmor: AppArmor sha1 policy hashing enabled
[ 2.724841] ima: No TPM chip found, activating TPM-bypass!
[ 2.724853] ima: Allocated hash algorithm: sha256
[ 2.724869] ima: No architecture policies found
[ 2.724889] evm: Initialising EVM extended attributes:
[ 2.724890] evm: security.selinux
[ 2.724891] evm: security.SMACK64 (disabled)
[ 2.724892] evm: security.SMACK64EXEC (disabled)
[ 2.724893] evm: security.SMACK64TRANSMUTE (disabled)
[ 2.724894] evm: security.SMACK64MMAP (disabled)
[ 2.724895] evm: security.apparmor
[ 2.724896] evm: security.ima
[ 2.724897] evm: security.capability
[ 2.724898] evm: HMAC attrs: 0x1
[ 2.727424] Freeing unused decrypted memory: 2036K
[ 2.728020] Freeing unused kernel image (initmem) memory: 2632K
[ 2.744599] Write protecting the kernel read-only data: 22528k
[ 2.745603] Freeing unused kernel image (text/rodata gap) memory: 2040K
[ 2.745833] Freeing unused kernel image (rodata/data gap) memory: 160K
[ 2.811761] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[ 2.811828] x86/mm: Checking user space page tables
[ 2.874099] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[ 2.874116] Run /init as init process
[ 2.874119] with arguments:
[ 2.874121] /init
[ 2.874123] splash
[ 2.874125] with environment:
[ 2.874126] HOME=/
[ 2.874127] TERM=linux
[ 2.874128] BOOT_IMAGE=/boot/vmlinuz-5.14.0-kali4-amd64
[ 3.152057] button: module verification failed: signature and/or required key missing - tainting kernel
[ 3.185070] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[ 3.187485] ACPI: battery: Slot [BAT0] (battery present)
[ 3.188105] ACPI: video: Video Device [GFX0] (multi-head: yes rom: no post: no)
[ 3.188413] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input3
[ 3.200491] ACPI: button: Power Button [PWRF]
[ 3.200785] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input4
[ 3.200906] ACPI: button: Sleep Button [SLPF]
[ 3.203242] SCSI subsystem initialized
[ 3.216096] e1000: Intel(R) PRO/1000 Network Driver
[ 3.216102] e1000: Copyright (c) 1999-2006 Intel Corporation.
[ 3.216696] libata version 3.00 loaded.
[ 3.217860] ata_piix 0000:00:01.1: version 2.13
[ 3.228839] ACPI: bus type USB registered
[ 3.228896] usbcore: registered new interface driver usbfs
[ 3.228915] usbcore: registered new interface driver hub
[ 3.228936] usbcore: registered new device driver usb
[ 3.231573] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 3.236605] piix4_smbus 0000:00:07.0: SMBus Host Controller at 0x4100, revision 0
[ 3.243307] ahci 0000:00:0d.0: version 3.0
[ 3.245155] ahci 0000:00:0d.0: SSS flag set, parallel bus scan disabled
[ 3.245590] ahci 0000:00:0d.0: AHCI 0001.0100 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
[ 3.245598] ahci 0000:00:0d.0: flags: 64bit ncq stag only ccc
[ 3.252659] scsi host0: ata_piix
[ 3.260928] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 3.274988] ehci-pci: EHCI PCI platform driver
[ 3.275089] scsi host2: ata_piix
[ 3.275346] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xd000 irq 14
[ 3.275351] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xd008 irq 15
[ 3.280302] scsi host1: ahci
[ 3.280432] ata3: SATA max UDMA/133 abar m8192@0xf0806000 port 0xf0806100 irq 21
[ 3.287524] ohci-pci: OHCI PCI platform driver
[ 3.289020] ohci-pci 0000:00:06.0: OHCI PCI host controller
[ 3.289036] ohci-pci 0000:00:06.0: new USB bus registered, assigned bus number 1
[ 3.289168] ohci-pci 0000:00:06.0: irq 22, io mem 0xf0804000
[ 3.291039] vmwgfx 0000:00:02.0: vgaarb: deactivate vga console
[ 3.292032] Console: switching to colour dummy device 80x25
[ 3.303202] cryptd: max_cpu_qlen set to 1000
[ 3.306730] AVX version of gcm_enc/dec engaged.
[ 3.307192] AES CTR mode by8 optimization enabled
[ 3.307264] [TTM] Zone kernel: Available graphics memory: 1014760 KiB
[ 3.307421] [drm] FIFO at 0x00000000f0000000 size is 2048 kiB
[ 3.307437] [drm] VRAM at 0x00000000e0000000 size is 131072 kiB
[ 3.307454] [drm] Running on SVGA version 2.
[ 3.307464] [drm] DMA map mode: Caching DMA mappings.
[ 3.307658] [drm] Capabilities:
[ 3.307661] [drm] Cursor.
[ 3.307663] [drm] Cursor bypass 2.
[ 3.307664] [drm] Alpha cursor.
[ 3.307665] [drm] 3D.
[ 3.307666] [drm] Extended Fifo.
[ 3.307666] [drm] Pitchlock.
[ 3.307668] [drm] Irq mask.
[ 3.307668] [drm] GMR.
[ 3.307670] [drm] Traces.
[ 3.307671] [drm] GMR2.
[ 3.307672] [drm] Screen Object 2.
[ 3.307673] [drm] Supports command queues = 1
[ 3.307676] [drm] Max GMR ids is 8192
[ 3.307678] [drm] Max number of GMR pages is 1048576
[ 3.307679] [drm] Max dedicated hypervisor surface memory is 393216 kiB
[ 3.307680] [drm] Maximum display memory size is 131072 kiB
[ 3.350066] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001, bcdDevice= 5.14
[ 3.350075] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 3.350079] usb usb1: Product: OHCI PCI host controller
[ 3.350082] usb usb1: Manufacturer: Linux 5.14.0-kali4-amd64 ohci_hcd
[ 3.350084] usb usb1: SerialNumber: 0000:00:06.0
[ 3.359891] hub 1-0:1.0: USB hub found
[ 3.359943] hub 1-0:1.0: 12 ports detected
[ 3.398032] [drm] Screen Objects Display Unit initialized
[ 3.398081] [drm] width 720
[ 3.398125] [drm] height 400
[ 3.398163] [drm] bpp 32
[ 3.398807] [drm] Fifo max 0x00200000 min 0x00001000 cap 0x00000355
[ 3.398842] [drm] Running without reservation semaphore
[ 3.398932] [drm:vmw_host_printf [vmwgfx]] *ERROR* Failed to send host log message.
[ 3.406533] fbcon: svgadrmfb (fb0) is primary device
[ 3.407640] Console: switching to colour frame buffer device 100x37
[ 3.422612] [drm] Initialized vmwgfx 2.18.1 20210218 for 0000:00:02.0 on minor 0
[ 3.465019] ata2.00: ATAPI: VBOX CD-ROM, 1.0, max UDMA/133
[ 3.470917] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input5
[ 3.479152] scsi 2:0:0:0: CD-ROM VBOX CD-ROM 1.0 PQ: 0 ANSI: 5
[ 3.597178] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 3.597468] ata3.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
[ 3.597473] ata3.00: 167772160 sectors, multi 128: LBA48 NCQ (depth 32)
[ 3.597792] ata3.00: configured for UDMA/133
[ 3.598090] scsi 1:0:0:0: Direct-Access ATA VBOX HARDDISK 1.0 PQ: 0 ANSI: 5
[ 3.613998] sr 2:0:0:0: [sr0] scsi3-mmc drive: 32x/32x xa/form2 tray
[ 3.614004] cdrom: Uniform CD-ROM driver Revision: 3.20
[ 3.660362] usb 1-1: new full-speed USB device number 2 using ohci-pci
[ 3.770976] sr 2:0:0:0: Attached scsi CD-ROM sr0
[ 3.771942] sd 1:0:0:0: [sda] 167772160 512-byte logical blocks: (85.9 GB/80.0 GiB)
[ 3.771971] sd 1:0:0:0: [sda] Write Protect is off
[ 3.771976] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 3.772018] sd 1:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 3.805781] sda: sda1 sda2 < sda5 >
[ 3.967057] usb 1-1: New USB device found, idVendor=80ee, idProduct=0021, bcdDevice= 1.00
[ 3.967067] usb 1-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[ 3.967072] usb 1-1: Product: USB Tablet
[ 3.967075] usb 1-1: Manufacturer: VirtualBox
[ 3.979243] hid: raw HID events driver (C) Jiri Kosina
[ 3.992863] usbcore: registered new interface driver usbhid
[ 3.992870] usbhid: USB HID core driver
[ 3.997081] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/0003:80EE:0021.0001/input/input6
[ 3.997698] hid-generic 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
[ 4.000549] sd 1:0:0:0: [sda] Attached SCSI disk
[ 4.019054] random: fast init done
[ 4.061189] e1000 0000:00:03.0 eth0: (PCI:33MHz:32-bit) 08:00:27:43:73:bc
[ 4.061207] e1000 0000:00:03.0 eth0: Intel(R) PRO/1000 Network Connection
[ 4.342703] PM: Image not found (code -22)
[ 4.496046] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null). Quota mode: none.
[ 4.720358] Not activating Mandatory Access Control as /sbin/tomoyo-init does not exist.
[ 4.947263] systemd[1]: Inserted module 'autofs4'
[ 4.998748] systemd[1]: systemd 249.7-1 running in system mode (+PAM +AUDIT +SELINUX +APPARMOR +IMA +SMACK +SECCOMP +GCRYPT +GNUTLS -OPENSSL +ACL +BLKID +CURL +ELFUTILS -FIDO2 +IDN2 -IDN +IPTC +KMOD +LIBCRYPTSETUP -LIBFDISK +PCRE2 -PWQUALITY -P11KIT -QRENCODE +BZIP2 +LZ4 +XZ +ZLIB +ZSTD -XKBCOMMON +UTMP +SYSVINIT default-hierarchy=unified)
[ 4.998875] systemd[1]: Detected virtualization oracle.
[ 4.998885] systemd[1]: Detected architecture x86-64.
[ 5.000850] systemd[1]: Hostname set to <kali>.
[ 5.567483] systemd[1]: Queued start job for default target Graphical Interface.
[ 5.567978] random: systemd: uninitialized urandom read (16 bytes read)
[ 5.570840] systemd[1]: Created slice Slice /system/getty.
[ 5.570971] random: systemd: uninitialized urandom read (16 bytes read)
[ 5.571967] systemd[1]: Created slice Slice /system/modprobe.
[ 5.572010] random: systemd: uninitialized urandom read (16 bytes read)
[ 5.572966] systemd[1]: Created slice User and Session Slice.
[ 5.573324] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[ 5.573833] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[ 5.573967] systemd[1]: Reached target Slice Units.
[ 5.574020] systemd[1]: Reached target TLS tunnels for network services - per-config-file target.
[ 5.574067] systemd[1]: Reached target Local Verity Protected Volumes.
[ 5.574497] systemd[1]: Listening on Syslog Socket.
[ 5.574916] systemd[1]: Listening on fsck to fsckd communication Socket.
[ 5.575047] systemd[1]: Listening on initctl Compatibility Named Pipe.
[ 5.575583] systemd[1]: Listening on Journal Audit Socket.
[ 5.576022] systemd[1]: Listening on Journal Socket (/dev/log).
[ 5.576769] systemd[1]: Listening on Journal Socket.
[ 5.577965] systemd[1]: Listening on udev Control Socket.
[ 5.578241] systemd[1]: Listening on udev Kernel Socket.
[ 5.580878] systemd[1]: Mounting Huge Pages File System...
[ 5.583219] systemd[1]: Mounting POSIX Message Queue File System...
[ 5.590061] systemd[1]: Mounting RPC Pipe File System...
[ 5.594913] systemd[1]: Mounting Kernel Debug File System...
[ 5.598815] systemd[1]: Mounting Kernel Trace File System...
[ 5.599028] systemd[1]: Condition check resulted in Kernel Module supporting RPCSEC_GSS being skipped.
[ 5.615770] systemd[1]: Starting Set the console keyboard layout...
[ 5.629767] systemd[1]: Starting Create List of Static Device Nodes...
[ 5.645386] systemd[1]: Starting Load Kernel Module configfs...
[ 5.662427] systemd[1]: Starting Load Kernel Module drm...
[ 5.666580] systemd[1]: Starting Load Kernel Module fuse...
[ 5.676075] systemd[1]: Condition check resulted in Set Up Additional Binary Formats being skipped.
[ 5.676278] systemd[1]: Condition check resulted in File System Check on Root Device being skipped.
[ 5.683093] systemd[1]: Starting Journal Service...
[ 5.708788] systemd[1]: Starting Load Kernel Modules...
[ 5.716607] systemd[1]: Starting Remount Root and Kernel File Systems...
[ 5.719044] systemd[1]: Starting Coldplug All udev Devices...
[ 5.724053] systemd[1]: Mounted Huge Pages File System.
[ 5.740676] systemd[1]: Mounted POSIX Message Queue File System.
[ 5.741103] systemd[1]: Mounted Kernel Debug File System.
[ 5.741590] systemd[1]: Mounted Kernel Trace File System.
[ 5.752675] systemd[1]: Finished Set the console keyboard layout.
[ 5.785579] systemd[1]: Finished Create List of Static Device Nodes.
[ 5.786811] systemd[1]: modprobe@drm.service: Deactivated successfully.
[ 5.787429] systemd[1]: Finished Load Kernel Module drm.
[ 5.788076] systemd[1]: Finished Load Kernel Modules.
[ 5.823718] systemd[1]: Starting Apply Kernel Variables...
[ 5.830892] systemd[1]: modprobe@configfs.service: Deactivated successfully.
[ 5.832532] systemd[1]: Finished Load Kernel Module configfs.
[ 5.848069] fuse: init (API version 7.34)
[ 5.850542] systemd[1]: Mounting Kernel Configuration File System...
[ 5.852011] systemd[1]: modprobe@fuse.service: Deactivated successfully.
[ 5.864876] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro. Quota mode: none.
[ 5.867817] systemd[1]: Finished Load Kernel Module fuse.
[ 5.897039] systemd[1]: Finished Remount Root and Kernel File Systems.
[ 5.897710] systemd[1]: Mounted Kernel Configuration File System.
[ 5.907147] systemd[1]: Mounting FUSE Control File System...
[ 5.907541] systemd[1]: Condition check resulted in Platform Persistent Storage Archival being skipped.
[ 5.912548] RPC: Registered named UNIX socket transport module.
[ 5.912555] RPC: Registered udp transport module.
[ 5.912556] RPC: Registered tcp transport module.
[ 5.912557] RPC: Registered tcp NFSv4.1 backchannel transport module.
[ 5.920776] systemd[1]: Starting Load/Save Random Seed...
[ 5.929788] systemd[1]: Starting Create System Users...
[ 5.934221] systemd[1]: Mounted RPC Pipe File System.
[ 5.941313] systemd[1]: Finished Apply Kernel Variables.
[ 5.943160] systemd[1]: Mounted FUSE Control File System.
[ 6.007326] systemd[1]: Started Journal Service.
[ 6.044777] systemd-journald[305]: Received client request to flush runtime journal.
[ 7.194334] ACPI: AC: AC Adapter [AC] (on-line)
[ 7.261978] sr 2:0:0:0: Attached scsi generic sg0 type 5
[ 7.262233] sd 1:0:0:0: Attached scsi generic sg1 type 0
[ 7.323407] input: PC Speaker as /devices/platform/pcspkr/input/input7
[ 7.334150] vboxguest: loading out-of-tree module taints kernel.
[ 7.510928] RAPL PMU: API unit is 2^-32 Joules, 0 fixed counters, 10737418240 ms ovfl timer
[ 7.519331] vgdrvHeartbeatInit: Setting up heartbeat to trigger every 2000 milliseconds
[ 7.519684] input: Unspecified device as /devices/pci0000:00/0000:00:04.0/input/input8
[ 7.521264] vboxguest: Successfully loaded version 6.1.26 r145957
[ 7.521722] vboxguest: misc device minor 125, IRQ 20, I/O port d040, MMIO at 00000000f0400000 (size 0x400000)
[ 7.521727] vboxguest: Successfully loaded version 6.1.26 r145957 (interface 0x00010004)
[ 7.548285] random: crng init done
[ 7.548293] random: 7 urandom warning(s) missed due to ratelimiting
[ 7.883395] snd_intel8x0 0000:00:05.0: allow list rate for 1028:0177 is 48000
[ 7.980982] Adding 998396k swap on /dev/sda5. Priority:-2 extents:1 across:998396k FS
[ 8.981844] vboxsf: Unknown symbol vbg_warn (err -2)
[ 8.992468] vboxsf: Unknown symbol vbg_get_gdev (err -2)
[ 8.992528] vboxsf: Unknown symbol vbg_hgcm_connect (err -2)
[ 8.992575] vboxsf: Unknown symbol vbg_hgcm_disconnect (err -2)
[ 8.992605] vboxsf: Unknown symbol vbg_err (err -2)
[ 8.992618] vboxsf: Unknown symbol vbg_status_code_to_errno (err -2)
[ 8.992630] vboxsf: Unknown symbol vbg_put_gdev (err -2)
[ 8.992653] vboxsf: Unknown symbol vbg_hgcm_call (err -2)
[ 10.037407] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[ 10.038265] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 22.720616] 18:13:12.492659 main VBoxService 6.1.26 r145957 (verbosity: 0) linux.amd64 (Jul 28 2021 18:25:57) release log
               18:13:12.492671 main Log opened 2021-12-22T18:13:12.491507000Z
[ 22.720745] 18:13:12.493237 main OS Product: Linux
[ 22.720855] 18:13:12.493322 main OS Release: 5.14.0-kali4-amd64
[ 22.720948] 18:13:12.493434 main OS Version: 0000001 SMP Debian 5.14.16-1kali1 (2021-11-05)
[ 22.721107] 18:13:12.493525 main Executable: /opt/VBoxGuestAdditions-6.1.26/sbin/VBoxService
               18:13:12.493526 main Process ID: 661
               18:13:12.493527 main Package type: LINUX_64BITS_GENERIC
[ 22.723335] 18:13:12.495776 main 6.1.26 r145957 started. Verbose level = 0
[ 22.725739] 18:13:12.498161 main vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (0000001)
                                                                                   
┌──(root�kali)-[~]
└─# dmesg
                                                                                   
┌──(root�kali)-[~]
└─# echo "insert USB wifi dongle wifi alfa awus036nh"
insert USB wifi dongle wifi alfa awus036nh
                                                                                   
┌──(root�kali)-[~]
└─# dmesg
[ 146.422777] usb 1-2: new full-speed USB device number 3 using ohci-pci
[ 146.776535] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x81 has invalid maxpacket 512, setting to 64
[ 146.776546] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x1 has invalid maxpacket 512, setting to 64
[ 146.776550] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x2 has invalid maxpacket 512, setting to 64
[ 146.776554] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x3 has invalid maxpacket 512, setting to 64
[ 146.776558] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x4 has invalid maxpacket 512, setting to 64
[ 146.776561] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x5 has invalid maxpacket 512, setting to 64
[ 146.776564] usb 1-2: config 1 interface 0 altsetting 0 endpoint 0x6 has invalid maxpacket 512, setting to 64
[ 146.793921] usb 1-2: New USB device found, idVendor=148f, idProduct=3070, bcdDevice= 1.01
[ 146.793929] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 146.793932] usb 1-2: Product: 802.11 n WLAN
[ 146.793934] usb 1-2: Manufacturer: Ralink
[ 146.793935] usb 1-2: SerialNumber: 1.0
[ 146.985942] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[ 146.986663] cfg80211: Loaded X.509 cert 'benh@debian.org: 577e021cb980e0e820821ba7b54b4961b8b4fadf'
[ 146.987716] cfg80211: Loaded X.509 cert 'romain.perier@gmail.com: 3abbc6ec146e09d1b6016ab9d6cf71dd233f0328'
[ 146.988721] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[ 146.996767] platform regulatory.0: firmware: direct-loading firmware regulatory.db
[ 147.002994] platform regulatory.0: firmware: direct-loading firmware regulatory.db.p7s
[ 147.386430] usb 1-2: reset full-speed USB device number 3 using ohci-pci
[ 147.705858] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3070, rev 0201 detected
[ 148.703612] ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 0005 detected
[ 148.712448] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[ 148.723498] usbcore: registered new interface driver rt2800usb
[ 148.869705] ieee80211 phy0: rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'
[ 148.874205] rt2800usb 1-2:1.0: firmware: direct-loading firmware rt2870.bin
[ 148.874217] ieee80211 phy0: rt2x00lib_request_firmware: Info - Firmware detected - version: 0.36
[ 150.425435] ieee80211 phy0: rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x19f0 with error -110
[ 150.468475] ieee80211 phy0: rt2800_wait_bbp_ready: Error - BBP register access failed, aborting
[ 150.468563] ieee80211 phy0: rt2800usb_set_device_state: Error - Device failed to enter state 4 (-5)
                                                                                   
┌──(root�kali)-[~]
└─# lsusb
Bus 001 Device 003: ID 148f:3070 Ralink Technology, Corp. RT2870/RT3070 Wireless Adapter
Bus 001 Device 002: ID 80ee:0021 VirtualBox USB Tablet
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
                                                                                   
┌──(root�kali)-[~]
└─# lsusb -d 148f:3070 -v

Bus 001 Device 003: ID 148f:3070 Ralink Technology, Corp. RT2870/RT3070 Wireless Adapter
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 6 Imaging
  bDeviceSubClass 2
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x148f Ralink Technology, Corp.
  idProduct 0x3070 RT2870/RT3070 Wireless Adapter
  bcdDevice 1.01
  iManufacturer 1 Ralink
  iProduct 2 802.11 n WLAN
  iSerial 3 1.0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 0x0043
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 450mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 7
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 5 1.0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x04 EP 4 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x05 EP 5 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x06 EP 6 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
Device Status: 0x0000
  (Bus Powered)
                                                                                   
┌──(root�kali)-[~]
└─# ifconfig -a
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST> mtu 1500
        inet 10.0.2.15 netmask 255.255.255.0 broadcast 10.0.2.255
        inet6 fe80::a00:27ff:fe43:73bc prefixlen 64 scopeid 0x20<link>
        ether 08:00:27:43:73:bc txqueuelen 1000 (Ethernet)
        RX packets 1 bytes 590 (590.0 B)
        RX errors 0 dropped 0 overruns 0 frame 0
        TX packets 14 bytes 1328 (1.2 KiB)
        TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING> mtu 65536
        inet 127.0.0.1 netmask 255.0.0.0
        inet6 ::1 prefixlen 128 scopeid 0x10<host>
        loop txqueuelen 1000 (Local Loopback)
        RX packets 8 bytes 400 (400.0 B)
        RX errors 0 dropped 0 overruns 0 frame 0
        TX packets 8 bytes 400 (400.0 B)
        TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

wlan0: flags=4098<BROADCAST,MULTICAST> mtu 1500
        ether 3a:dd:55:38:ac:c0 txqueuelen 1000 (Ethernet)
        RX packets 0 bytes 0 (0.0 B)
        RX errors 0 dropped 0 overruns 0 frame 0
        TX packets 0 bytes 0 (0.0 B)
        TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

                                                                                   
┌──(root�kali)-[~]
└─# ifconfig wlan0 up
SIOCSIFFLAGS: No such device
                                                                                   
┌──(root�kali)-[~]
└─# ip link set wlan0 up 255 ⨯
RTNETLINK answers: No such device
                                                                                   
┌──(root�kali)-[~]
└─# exit 2 ⨯

Script done on 2021-12-22 13:16:04-05:00 [COMMAND_EXIT_CODE="2"]
                                                                                   
┌──(root�kali)-[~]
└─#
Steps To Reproduceeverytime the usb dongle is inserted, not working.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2021-12-22 18:22 mbzx48 New Issue